openQA Tests - coordination #91199

coordination # 91142 (Workable): [qe-core][epic] add product QE exclusive tests to QEM runs to increase coverage
[security][epic][qem] Add existing security Product QE tests to QEM

2021-04-15 06:26 - tjyrinki_suse

Status: New Start date: 2021-06-10
Priority: Normal Due date:

Assignee: % Done: 0%
Category: New test Estimated time: 0.00 hour

Target version:

Difficulty:

Description

After comparing test coverage of SLE 15 SP2 and SP3 in opneQA | identified several tests that are exclusive to either pre-release or
post-release testing and could be easily used to increase our coverage just by using what we already have.

It is possible that are some errors and some of the tests from the list are already being used. It is also just my opinion, therefor review
from other colleagues is more then welcome.

These are the security tests that run only before release and could be used also after the release (product QE -> QEM)

tests/security/grub_auth/grub_authorization.pm
tests/security/ima/evmctl_ima_sign.pm
tests/security/ima/evm_protection_digital_signatures.pm
tests/security/ima/evm_protection_hmacs.pm
tests/security/ima/evm_setup.pm
tests/security/ima/evm_verify.pm
tests/security/ima/ima_appraisal_audit.pm
tests/security/ima/ima_appraisal_digital_signatures.pm
tests/security/ima/ima_appraisal_hashes.pm
tests/security/ima/ima_kernel_cmdline_hash.pm
tests/security/ima/ima_kernel_cmdline_template.pm
tests/security/ima/ima_measurement_audit.pm
tests/security/ima/ima_measurement.pm
tests/security/ima/ima_setup.pm
tests/security/ima/ima_verify.pm
tests/security/krb5/krb5_crypt_nfs_client.pm
tests/security/krb5/krb5_crypt_nfs_server.pm
tests/security/krb5/krb5_crypt_prepare.pm
tests/security/krb5/krb5_crypt_setup_client.pm
tests/security/krb5/krb5_crypt_setup_kdc.pm
tests/security/krb5/krb5_crypt_setup_server.pm
tests/security/krb5/krb5_crypt_ssh_client.pm
tests/security/krb5/krb5_crypt_ssh_server.pm
tests/security/lynis/lynis_analyze_system_audit.pm
tests/security/lynis/lynis_harden_index.pm
tests/security/lynis/lynis_perform_system_audit.pm
tests/security/lynis/lynis_setup.pm
tests/security/mokutil_sign.pm
tests/security/nproc_limits.pm
tests/security/pam/pam_basic_function.pm
tests/security/pam/pam_config.pm
tests/security/pam/pam_login.pm
tests/security/pam/pam_mount.pm
tests/security/pam/pam_su.pm
tests/security/selinux/audit2allow.pm
tests/security/selinux/chcat.pm
tests/security/selinux/chcon.pm
tests/security/selinux/enforcing_mode_setup.pm
tests/security/selinux/fixfiles.pm
tests/security/selinux/print_se_context.pm
tests/security/selinux/restorecon.pm
tests/security/selinux/selinux_setup.pm
tests/security/selinux/selinux_smoke.pm
tests/security/selinux/semanage_boolean.pm
tests/security/selinux/semanage_fcontext.pm
tests/security/selinux/semodule.pm
tests/security/selinux/sestatus.pm
tests/security/selinux/setsebool.pm
tests/security/swtpm/swtpm_env_setup.pm
tests/security/swtpm/swtpm_verify.pm
tests/security/tpm2/tpm2_engine/tpm2_engine_ecdsa_operation.pm
tests/security/tpm2/tpm2_engine/tpm2_engine_info.pm
tests/security/tpm2/tpm2_engine/tpm2_engine_random_data.pm
tests/security/tpm2/tpm2_engine/tpm2_engine_rsa_operation.pm
tests/security/tpm2/tpm2_engine/tpm2_engine_self_sign.pm
tests/security/tpm2/tpm2_env_setup.pm
tests/security/tpm2/tpm2_tools/tpm2_tools_auth.pm
tests/security/tpm2/tpm2_tools/tpm2_tools_encrypt.pm
tests/security/tpm2/tpm2_tools/tpm2_tools_self_contain_tool.pm
tests/security/tpm2/tpm2_tools/tpm2_tools_sign_verify.pm

Subtasks:

action # 93766: [security][gem] Add existing security Product QE tests to QEM for 15-SP3 Workable
action # 93769: [security][gem] Add existing security Product QE tests to QEM for older... New
History

#1 - 2021-04-15 06:26 - tjyrinki_suse

- Tracker changed from coordination to action

#2 - 2021-04-30 07:52 - tjyrinki_suse

- Category set to New test

#3 - 2021-06-10 07:18 - tjyrinki_suse

- Tracker changed from action to coordination

#4 - 2021-06-10 07:18 - tjyrinki_suse

- Subject changed from [security][qgem] Add existing security Product QE tests to QEM to [security][epic][qem] Add existing security Product QE tests
to QEM

#5 - 2021-06-11 03:24 - lizhao

As discussed in cooperation meeting yesterday (Jun 11 2021) QE Security is not able to take this poo due to limited resources.
